org.eclipse.gef.dot.internal.language

## Class DotColorStandaloneSetup

- java.lang.Object
- - org.eclipse.gef.dot.internal.language.DotColorStandaloneSetupGenerated
  - - org.eclipse.gef.dot.internal.language.DotColorStandaloneSetup

All Implemented Interfaces:
  org.eclipse.xtext.ISetup

    public class DotColorStandaloneSetup
    extends DotColorStandaloneSetupGenerated

Initialization support for running Xtext languages without equinox extension registry

### Constructor Summary

Constructors
Constructor and Description
`DotColorStandaloneSetup()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `doSetup()`

### Methods inherited from class org.eclipse.gef.dot.internal.language.DotColorStandaloneSetupGenerated

`createInjector, createInjectorAndDoEMFRegistration, register`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DotColorStandaloneSetup

    public DotColorStandaloneSetup()

### Method Detail

#### doSetup

    public static void doSetup()